all: test

tool:
	python nilmtool.py  --help
	python nilmtool.py list --help
	python nilmtool.py -u asfdadsf list

lint:
	pylint -f parseable nilmdb

test:
	nosetests

profile:
	nosetests --with-profile 

clean::
	find . -name '*pyc' | xargs rm -f
	rm -f .coverage
	rm -rf tests/*testdb*
